svn commit: r251544 - head/usr.sbin/bsdconfig/usermgmt/share
Devin Teske
dteske at FreeBSD.org
Sat Jun 8 18:08:18 UTC 2013
Author: dteske
Date: Sat Jun 8 18:08:17 2013
New Revision: 251544
URL: http://svnweb.freebsd.org/changeset/base/251544
Log:
Check for ESC as a separate choice from "NO" when asking if the operator
would like to disable password management for an account while adding either
a user or group. When being prompted to answer questions while adding a
group or user, two things are trow:
1. You can hit ENTER to blast through all the questions and in the end, the
group or user is created with sensible defaults for all values.
2. You can press ESC during any prompt to cancel the operation as a whole.
This fix is shoring up an inconsistency in the latter (#2).
Modified:
head/usr.sbin/bsdconfig/usermgmt/share/group_input.subr
head/usr.sbin/bsdconfig/usermgmt/share/user_input.subr
Modified: head/usr.sbin/bsdconfig/usermgmt/share/group_input.subr
==============================================================================
--- head/usr.sbin/bsdconfig/usermgmt/share/group_input.subr Sat Jun 8 17:46:39 2013 (r251543)
+++ head/usr.sbin/bsdconfig/usermgmt/share/group_input.subr Sat Jun 8 18:08:17 2013 (r251544)
@@ -237,10 +237,10 @@ f_dialog_input_group_password()
# Check for NULL entry
if [ ! "$_password1" ]; then
- f_dialog_yesno \
- "$msg_disable_password_auth_for_group" ||
- continue
- pw_group_password_disable=1
+ f_dialog_yesno "$msg_disable_password_auth_for_group"
+ local retval=$?
+ [ $retval -eq 255 ] && return $retval # ESC was pressed
+ [ $retval -eq $SUCCESS ] && pw_group_password_disable=1
else
pw_group_password_disable=
fi
Modified: head/usr.sbin/bsdconfig/usermgmt/share/user_input.subr
==============================================================================
--- head/usr.sbin/bsdconfig/usermgmt/share/user_input.subr Sat Jun 8 17:46:39 2013 (r251543)
+++ head/usr.sbin/bsdconfig/usermgmt/share/user_input.subr Sat Jun 8 18:08:17 2013 (r251544)
@@ -334,10 +334,10 @@ f_dialog_input_password()
# Check for NULL entry
if [ ! "$_password1" ]; then
- f_dialog_yesno \
- "$msg_disable_password_auth_for_account" ||
- continue
- pw_password_disable=1
+ f_dialog_yesno "$msg_disable_password_auth_for_account"
+ local retval=$?
+ [ $retval -eq 255 ] && return $retval # ESC was pressed
+ [ $retval -eq $SUCCESS ] && pw_password_disable=1
else
pw_password_disable=
fi
More information about the svn-src-all
mailing list